Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

beter versioning with the gemspec.

  • Loading branch information...
commit a6590fbda4805315c6ac654f4dbf5514043971c6 1 parent aa22d69
@peterberkenbosch peterberkenbosch authored
View
1  .rbenv-gemsets
@@ -0,0 +1 @@
+spree_static_content
View
21 Gemfile
@@ -1,16 +1,13 @@
-source :rubygems
-
-gem 'sqlite3'
-
-gem 'spree', :git => 'git://github.com/spree/spree.git'
+source 'http://rubygems.org'
group :test do
- gem 'rspec-rails', '= 2.6.1'
- gem 'database_cleaner', '= 0.6.7'
- gem 'nokogiri'
- gem 'capybara', '1.0.1'
- gem 'faker'
- gem 'factory_girl'
+ gem 'ffaker'
+end
+
+if RUBY_VERSION < "1.9"
+ gem "ruby-debug"
+else
+ gem "ruby-debug19"
end
-gemspec
+gemspec
View
2  VERSION
@@ -1 +1 @@
-1.0.0
+1.0.1
View
2  Versionfile
@@ -1,4 +1,4 @@
-"1.0.x" => { :branch => 'master' }
+"1.0.x" => { :branch => 'master', :version => '1.0.1' }
"0.70.x" => { :version => '0.70.3', :ref => '1861f4cd08c0ffa9940f0c81e69ea29b4541dbbd' }
"0.60.x" => { :tag => "v0.60.2", :version => '0.60.2'}
"0.50.x" => { :version => '0.40.2', :ref => '45b0050b96809c8fb0f21940f9407e9012a6d420' }
View
12 spree_static_content.gemspec
@@ -15,9 +15,13 @@ Gem::Specification.new do |s|
s.require_path = 'lib'
s.requirements << 'none'
- s.add_dependency 'spree_core', '>= 1.0.0.beta'
- s.add_dependency 'spree_auth', '>= 1.0.0.beta'
- s.add_dependency 'formtastic'
- s.add_development_dependency 'rspec-rails'
+ s.add_dependency 'spree_core', '~> 1.0.0'
+ s.add_dependency 'spree_auth', '~> 1.0.0'
+
+ s.add_development_dependency 'capybara', '1.0.1'
+ s.add_development_dependency 'factory_girl'
+ s.add_development_dependency 'ffaker'
+ s.add_development_dependency 'rspec-rails', '~> 2.7'
+ s.add_development_dependency 'sqlite3'
end
Please sign in to comment.
Something went wrong with that request. Please try again.